using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using TMPro;

public class LevelCompleteDialog : MonoBehaviour
{

    public TextMeshProUGUI silverText = null;
    public TextMeshProUGUI goldText = null;
    public TextMeshProUGUI yourText = null;

    // Start is called before the first frame update
    void Start()
    {
        
    }

    // Update is called once per frame
    void Update()
    {
        LevelDefinition currentLevel = FindObjectOfType<CustomerManager>().CurrentLevel;

        silverText.text = currentLevel.SilverScore.ToString();
        goldText.text = currentLevel.GoldScore.ToString();
        yourText.text = GameState.Money.ToString();
    }

    public void OnLevelCompleteClicked()
    {
        UnityEngine.SceneManagement.SceneManager.LoadScene("LevelSelect");
    }
}
